dnl
dnl $Id: config.m4
dnl 

PHP_ARG_WITH(spplus, for spplus support,
[  --with-spplus[=DIR]   Include SPPLUS (French Caisse d'Epargne Telepaiement)])

if test "$PHP_SPPLUS" != "no"; then
  for i in /usr/local /usr $PHP_SPPLUS; do
    if test -r $i/spp_signe.h; then
      SPPLUS_INC_DIR=$i
    elif test -r $i/include/spp_signe.h; then
      SPPLUS_INC_DIR=$i/include
    fi
 
    if test -r $i/php_spplus.a; then
      SPPLUS_LIB_DIR=$i
    elif test -r $i/lib/php_spplus.a; then
      SPPLUS_LIB_DIR=$i/lib
    fi
  done
    
  if test -z "$SPPLUS_INC_DIR"; then
    AC_MSG_ERROR(Could not find spp_signe.h Please make sure you have the
                 SPPLUS installed. Use
                 ./configure --with-spplus=<spplus-dir> if necessary)
  fi
 
  if test -z "$SPPLUS_LIB_DIR"; then
    AC_MSG_ERROR(Could not find php_spplus.a Please make sure you have the
                 SPPLUS installed. Use
                 ./configure --with-spplus=<spplus-dir> if necessary)
  fi                                                                                                                                            
  AC_MSG_RESULT(found in $SPPLUS_LIB_DIR)
  
  AC_MSG_RESULT(linking php_spplus.a with libspplus.a)
  ln -sf $SPPLUS_LIB_DIR/php_spplus.a $SPPLUS_LIB_DIR/libspplus.a

  PHP_ADD_INCLUDE($SPPLUS_INC_DIR)
 
  PHP_SUBST(SPPLUS_SHARED_LIBADD)
  PHP_ADD_LIBRARY_WITH_PATH(spplus, $SPPLUS_LIB_DIR, SPPLUS_SHARED_LIBADD)

  AC_DEFINE(HAVE_SPPLUS, 1, [ ])                                                 


  PHP_NEW_EXTENSION(spplus, php_spplus.c, $ext_shared)
fi
