/*
  +----------------------------------------------------------------------+
  | PHP Version 4                                                        |
  +----------------------------------------------------------------------+
  | Copyright (c) 1997-2002 The PHP Group                                |
  +----------------------------------------------------------------------+
  | This source file is subject to version 2.02 of the PHP license,      |
  | that is bundled with this package in the file LICENSE, and is        |
  | available at through the world-wide-web at                           |
  | http://www.php.net/license/2_02.txt.                                 |
  | If you did not receive a copy of the PHP license and are unable to   |
  | obtain it through the world-wide-web, please send a note to          |
  | license@php.net so we can mail you a copy immediately.               |
  +----------------------------------------------------------------------+
  | Author: CHAILLAN Nicolas <nicos@php.net>                             |
  +----------------------------------------------------------------------+

  $Id: php_spplus.h,v 1.3 2002/11/08 19:03:39 nicos Exp $ 
*/

#ifndef PHP_SPPLUS_H
#define PHP_SPPLUS_H

extern zend_module_entry spplus_module_entry;
#define phpext_spplus_ptr &spplus_module_entry

#ifdef PHP_WIN32
#define PHP_SPPLUS_API __declspec(dllexport)
#else
#define PHP_SPPLUS_API
#endif

#ifdef ZTS
#include "TSRM.h"
#endif

PHP_MINIT_FUNCTION(spplus);
PHP_MSHUTDOWN_FUNCTION(spplus);
PHP_RINIT_FUNCTION(spplus);
PHP_RSHUTDOWN_FUNCTION(spplus);
PHP_MINFO_FUNCTION(spplus);

PHP_FUNCTION(confirm_spplus_compiled);	

#ifdef ZTS
#define SPPLUS_G(v) TSRMG(spplus_globals_id, zend_spplus_globals *, v)
#else
#define SPPLUS_G(v) (spplus_globals.v)
#endif

#endif


/*
 * Local variables:
 * tab-width: 4
 * c-basic-offset: 4
 * indent-tabs-mode: t
 * End:
 */
